org.jetlang.web

## Interface HttpSecurity<T>

    public interface HttpSecurity<T>

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static <T> HttpSecurity<T>` `none()`
`boolean` `passes(org.jetlang.fibers.Fiber dispatchFiber, HttpRequest headers, HttpResponse writer, T sessionState)`

### Method Detail

#### passes

    boolean passes(org.jetlang.fibers.Fiber dispatchFiber,
                   HttpRequest headers,
                   HttpResponse writer,
                   T sessionState)

#### none

    static <T> HttpSecurity<T> none()